<?php
header('Content-Type: text/html; charset=iso-8859-1');
$SrcPos = -1;

function NewSource($xIn)
  {
  Global $SrcNo, $SrcPage, $SrcQuay, $SrcNote, $SrcPos; 
    
  $Number = rtrim(fgets($xIn));
  $Key = fgetc($xIn);
  
  if ($Key == '1')
    {
	 $Page = rtrim(fgets($xIn));
	 $Key = fgetc($xIn);
	 }
  
  if ($Key == '2')
    {
	 $Quay = rtrim(fgets($xIn));
	 $Key = fgetc($xIn);
	 }
	 
  if ($Key == '3')
    {
	 $Unique = false;
	 $Pos  = $SrcPos + 1;
	 $Note = "<BR>";
	 do {
	    $Note .= rtrim(fgets($xIn));
	    $Key = fgetc($xIn);
		 } while ($Key == 'w');
 	 }
  else
    {
    $Pos = 0;
	 $Unique = true;
    while ($Unique && ($Pos <= $SrcPos))
      {
	   if (($Number === $SrcNo[$Pos]) && ($Page === $SrcPage[$Pos]) && ($Quay === $SrcQuay[$Pos]))
	     $Unique = false;
	   else
	     $Pos++;	
	   }		
    }		 
	 
  if ($Pos > $SrcPos)
    {
	 $SrcPos = $Pos;
	 $SrcNo[$Pos]   = $Number;
	 $SrcPage[$Pos] = $Page;
	 $SrcQuay[$Pos] = $Quay;
	 $SrcNote[$Pos] = $Note;
	 }
	 
  printf("<A HREF=\"#Cit%d\"> [%d]</A>", $Pos+1, $Pos+1);
  }

function AddSource($xIn, $Name)
  {
  echo "<TR><TD CLASS=\"datalabel\">".$Name."</TD><TD CLASS=\"datafield\">\n";
  echo "Sources for entire record. ";
	 
  do
    {
	 NewSource($xIn);
	 $Key = fgetc($xIn);
	 if ($Key == 'x')
	   $Key = fgetc($xIn);
	 } while ($Key == 'n');

  echo "</TD>\n";
  }

function DisplayNote($xIn, &$Key, $CR)
  {
  if ($CR)
    echo "<BR>";

  do 
    {
    echo fgets($xIn);
    $Key = fgetc($xIn);
	 } while ($Key == 'w');
  }	 

function AddDateLn($fIn, $Name)
  {
  echo "<TR><TD CLASS=\"datalabel\">".$Name."</TD><TD CLASS=\"datafield\">";
  $Key = fgetc($fIn);
  
  if ($Key == '1')
    {
	 echo rtrim(fgets($fIn))." &nbsp; ";
	 $Key = fgetc($fIn);
	 }
  
  if ($Key == '1')
    {
	 echo rtrim(fgets($fIn))." &nbsp; ";
	 $Key = fgetc($fIn);
	 }

  while ($Key == 'n')
    {
	 NewSource($fIn);
	 $Key = fgetc($fIn);
	 }
	 
  if ($Key == '4')
    DisplayNote($fIn, $Key, true);
	 
  echo "</TD></TR>\n";
  }

function AddPerson($fIn, $Key, $fKey, $Kind)
  {
  Global $IdNo, $Parents;
  
  $cKind = fgetc($fIn); // Child kind - Not used.
  $IndNo = rtrim(fgets($fIn));
  $Sex   = fgetc($fIn);  
  $Name  = rtrim(fgets($fIn));
  $x     = fgetc($fIn);
  
  $Parents++;
  
  if ($fKey == 'K' && $IdNo == $IndNo)
    return;
	 
  echo "<TR><TD CLASS=\"datalabel\">";  
  
  switch ($fKey)
    {
	 case 'A': echo ($Key == 'o') ? "Father" : "Husband"; break;
	 case 'B': echo ($Key == 'o') ? "Mother" : "Wife";    break;
	 case 'K': if ($Parents == 0)
	             {
					 echo "Family</TD><TD CLASS=\"datafield\"></TD></TR>\n";
					 echo "<TR><TD CLASS=\"datalabel\">";
					 }
					 
	           if ($Key == 'o')
	             {
                if ($Sex == 'U')
	               echo "&nbsp; Sibling";
	             else
                  echo ($Sex == 'M') ? "&nbsp; Brother" : "&nbsp; Sister"; 
	             }
				  else
				    {
                if ($Sex == 'U')
	               echo "&nbsp; Child";
	             else if ($Sex == 'M')
					   echo "&nbsp; Son";
					 else 
					   echo ($cKind == '0') ? "&nbsp; Daughter" : "&nbsp Daug.";
						
               if ($cKind > '0')
 					  switch ($cKind)
					    {
						 case '1': echo " (Adopt)";     break;
						 case '2': echo " (Adopt Fth)"; break;
						 case '3': echo " (Adopt Mth)"; break;
						 case '4': echo " (Step Fth)";  break;
						 case '5': echo " (Step Mth)";  break;
						 case '6': echo " (Foster)";    break;
						 case '7': echo " (Sealing)";   break;
                   }
              }
				  break;
	}
	
  if ($Key == 'o' && $Kind > '0')
    {
	 if ($Kind < '4')
	   $KindStr = " (Adopt)";
	 else if ($Kind < '6')
	   $KindStr = " (Step)"; 
	 else if ($Kind == '6')
	   $KindStr = " (Foster)"; 
	 else if ($Kind == '7')
	   $KindStr = " (Sealing)"; 
	 
	 if (($fKey < 'K' && ($Kind == '1' || $Kind >  '5')) ||
	    ($fKey == 'A' && ($Kind == '2' || $Kind == '4')) ||
	    ($fKey == 'B' && ($Kind == '3' || $Kind == '5')))
	   echo $KindStr;
	 }
  
  echo "</TD><TD CLASS=\"datafield\">";
  echo $Name."</TD></TR>\n";
  }
?>
<?php
function AddPicture($In, $pIn, $pIdx, $Pos, $Title)
  {
  if ($Pos == 1)
    {
    $Key = rtrim(fgets($In)); 
    echo "<TR><TD CLASS=\"notelabel\" ROWSPAN=\"$Key\">".$Title."</TD>\n";
    $Key = fgetc($In);       
	 }
  else
    echo "<TR>\n";
  
  echo "<TD CLASS=\"picfield\" WIDTH=\"110\" ALIGN=\"CENTER\">";
	 
  $PicNo = rtrim(fgets($In));   
  fseek($pIdx, $PicNo*16, SEEK_SET);
  $PicNo = rtrim(fgets($pIdx));	
  fseek($pIn, $PicNo, SEEK_SET);
  $AbmNo = fgets($pIn);
  $s1    = rtrim(fgets($pIn));
  $Key = fgetc($pIn);
  
  if ($Key == '2')
    {
    $s2  = rtrim(fgets($pIn));
    $Key = fgetc($pIn);
    }
  else
    $s2 = $s1;	 
 	 
  echo "<A HREF=\"med/".$s1."\"";    
  $s1jpg = substr_replace($s1, 'jpg', strlen($s1) -3, 3);
	 
  if (file_exists("tmb/".$s1jpg))
    {
    echo "CLASS=\"preview\" TITLE=\"$s2\" TARGET=\"_BLANK\">\n";
    echo "<IMG SRC=\"tmb/".$s1jpg."\"></A></TD>";
    }
  else
    echo "><BR>".$s2."</A></TD>\n";
		
  echo "<TD CLASS=\"datafield\">".$s2;

  while ($Key == 'n')
    {
	 NewSource($pIn);
    $Key = fgetc($pIn);
    }
	 
  if ($Key == '4')
    {
    echo "<BR>";
    DisplayNote($pIn, $Key, true);
    }	
		 
  if ($Key == '5')
    {
    echo "<BR>";
    while ($Key == '5')
      {
      echo rtrim(fgets($pIn));
      echo " &nbsp; ";
      $Key = fgetc($pIn);
      }
    }
  echo "</TD></TR>\n";
  }
  
  if ($Key == 'x')
    $Key = fgetc($pIn);
?>
<?php
  $In = fopen("sys/inddata", "r");
  
  $ID = rtrim(fgets($In));	 
  $PicSw = fgetc($In);
  $ConUs = fgetc($In);
  $IcoSw = fgetc($In);
  $Icon  = rtrim(fgets($In));
  $T1 = rtrim(fgets($In));
  $T2 = rtrim(fgets($In));
  $C1 = rtrim(fgets($In));
  $Key = fgetc($In);
  $Pos = 0;
  
  while ($Key == 'M')
    {
    $MM[$Pos++] = rtrim(fgets($In));
    $Key = fgetc($In);
    }
	 
  $F1 = rtrim(fgets($In));
  $F2 = rtrim(fgets($In));

  $IdNo = $_GET["idno"];

  if (empty($IdNo) || $IdNo < 1)
    $IdNo = $ID; 
 
  $iIdx = fopen("sys/indindex", "r");
  fseek($iIdx, $IdNo*16, SEEK_SET);
  $Line = fgets($iIdx);
  fclose($iIdx);
  fseek($In, $Line);

  $D = rtrim(fgets($In)); // Name
  $F = rtrim(fgets($In)); // Title
  $B = rtrim(fgets($In)); // Gender
  $G = rtrim(fgets($In)); // Dates
  $A = rtrim(fgets($In)); // Picture
  $C = rtrim(fgets($In)); // AFN
             fgets($In);  // SeqNo
             fgets($In);  // Index Name
?>
<!DOCTYPE HTML PUBLIC "-//SoftQuad Software//DTD HoTMetaL PRO 5.0::19981217::extensions to HTML 4.0//EN" "hmpro5.dtd">
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<?php
  echo "<TITLE>Genealogical details for: $D"; 
  
  if (!empty($F))  
    echo ", ".$F;

  if (!empty($G))  
    echo ", ".$G;
	 
  echo " -- $T1 $T2</TITLE>\n";
  
  if ($IcoSw == '1')
    echo "<link href=\"sys/$Icon\" rel=\"shortcut icon\">\n";
?>
<LINK HREF="sys/vft_style.css" REL="stylesheet" TYPE="text/css"> 
<LINK HREF="sys/vft_chart.css" REL="stylesheet" TYPE="text/css"> 
<SCRIPT SRC="jquery.js" TYPE="text/javascript"></SCRIPT>
<SCRIPT SRC="vft_preview.js" TYPE="text/javascript"></SCRIPT>
</HEAD>
<BODY>
<TABLE ALIGN="CENTER" CLASS="toptable">
<TR><TD><DIV style="padding:8px">
<TABLE WIDTH="786" ALIGN="CENTER"> 
<?php
if (empty($A))
  {
  echo "<TR><TD COLSPAN=\"3\" class=\"titlebg\">\n";

  if (file_exists("sys/title.jpg")) 
    echo "<IMG SRC=\"sys/title.jpg\" WIDTH=\"786\">\n</TD></TR>\n";
  else if (file_exists("sys/title.gif")) 
    echo "<IMG SRC=\"sys/title.gif\" WIDTH=\"786\">\n</TD></TR>\n";
  else
    {
    echo "<SPAN CLASS=\"title1a\">$T1</SPAN><BR><SPAN CLASS=\"title2a\">&nbsp; &nbsp; $T2</SPAN>\n";
    echo "<BR><HR WIDTH=\"786\" CLASS=\"horzbar\">\n</TD></TR>\n";
	 }
	 
  echo "<TR><TD CLASS=\"symbol\" WIDTH=\"20\">\n";
  }
else
  {
  echo "<TR><TD WIDTH=\"152\" ROWSPAN=\"2\" VALIGN=\"TOP\">";
  echo "<IMG CLASS=\"photo\" WIDTH=\"150\" HEIGHT=\"200\" SRC=\"tmb/".$A."\"></TD>\n";  
  echo "<TD COLSPAN=\"3\" VALIGN=\"TOP\" CLASS=\"titlebg\">\n";
  
  if (file_exists("sys/title.jpg")) 
    {
    echo "<IMG SRC=\"sys/title.jpg\" WIDTH=\"618\">\n</TD></TR>\n";
    echo "<TR><TD CLASS=\"symbol\" WIDTH=\"20\" HEIGHT=\"140\">\n";
	 }
  else if (file_exists("sys/title.gif")) 
    {
    echo "<IMG SRC=\"sys/title.gif\" WIDTH=\"618\">\n</TD></TR>\n";
    echo "<TR><TD CLASS=\"symbol\" WIDTH=\"20\" HEIGHT=\"140\">\n";
	 }
  else
    {
    echo "<SPAN CLASS=\"title1b\">$T1</SPAN><BR><SPAN CLASS=\"title2b\">&nbsp; &nbsp; $T2</SPAN>";
    echo "<BR><HR WIDTH=\"618\" CLASS=\"horzbar\">\n</TD></TR>\n";
    echo "<TR><TD CLASS=\"symbol\" WIDTH=\"20\" HEIGHT=\"120\">\n";
	 }
  }  	 

if ($B == "M")
  echo "<IMG SRC=\"vft_male.png\" WIDTH=\"16\" HEIGHT=\"16\">";
else if ($B == 'F')
  echo "<IMG SRC=\"vft_female.png\" WIDTH=\"16\" HEIGHT=\"16\">";
  
echo "</TD><TD CLASS=\"nameof\" WIDTH=\"";

if (empty($A))
  echo "674\">$D";
else
  echo "534\">$D";

if (!empty($F))  
  echo ", $F";
  
echo "<BR><SPAN CLASS=\"dateof\">$G</SPAN>\n";
?>
</TD>
<TD ALIGN="RIGHT" CLASS="txtcolor1" WIDTH="80" VALIGN="TOP">
<TABLE><TR>
<TD CLASS="txtcolor1" WIDTH="40" ALIGN="RIGHT">Gender: </TD>
<TD CLASS="txtcolor2" WIDTH="40" ALIGN="LEFT">
<?php
  if ($B == 'M')
    echo "Male";
  else if ($B == 'F')
    echo "Female";
  else
    echo "Unknown";
?>
</TD></TR><TR>
<TD CLASS="txtcolor1" ALIGN="RIGHT">Number:</TD>
<TD CLASS="txtcolor2" ALIGN="LEFT"><?php printf("%06d", $IdNo)?></TD></TR>
<TR><TD CLASS="txtcolor1" ALIGN="RIGHT">
<?php
if (empty($C))
  echo "</TD><TD>";
else
  echo "Anc File:</TD><TD ALIGN=\"LEFT\" CLASS=\"txtcolor2\"><NOBR>$C</NOBR>"; 
  
echo "</TD></TR></TABLE>\n";

if (empty($A))
  echo "<TR><TD colspan=\"3\">\n";
else
  echo "<TR><TD colspan=\"4\">\n";
?>
<!-- Tab Menu Start -->
<DIV CLASS="tabmenu"><UL>
<LI CLASS="tabmenuleft"><A HREF="index.php">
<IMG SRC="vft_home.gif" CLASS="menuicon" WIDTH="16" HEIGHT="16"> Home</A></LI>
<LI><A HREF="vft_idxpage.php?idno=<?php echo $IdNo?>">
<IMG SRC="vft_search.gif" CLASS="menuicon" WIDTH="16" HEIGHT="16"> Index</A></LI>
<LI><A HREF="vft_indpage.php?idno=<?php echo $IdNo?>" CLASS="activepg">
<IMG SRC="vft_person.gif" CLASS="menuicon" WIDTH="16" HEIGHT="16"> Individual</A></LI>
<LI><A HREF="vft_ancpage.php?idno=<?php echo $IdNo?>">
<IMG SRC="vft_ancestor.gif" CLASS="menuicon" WIDTH="16" HEIGHT="16"> Ancestors</A></LI>
<LI><A HREF="vft_despage.php?idno=<?php echo $IdNo?>">
<IMG SRC="vft_descendant.gif" CLASS="menuicon" WIDTH="16" HEIGHT="16"> Descendants</A></LI>
<LI><A HREF="vft_relpage.php?idno=<?php echo $IdNo?>">
<IMG SRC="vft_relate.gif" CLASS="menuicon" WIDTH="16" HEIGHT="16"> Relationship</A></LI>
<?php 
  if ($PicSw == '1')
    {
    echo "<LI><A HREF=\"vft_picpage.php\"><IMG SRC=\"vft_picture.gif\" ";
	 echo "CLASS=\"menuicon\" WIDTH=\"16\" HEIGHT=\"16\"> Pictures</A></LI>";
	 }

  if ($ConUs == '1')
    {
    echo "<LI><A HREF=\"vft_contact.php\"><IMG SRC=\"vft_contact.gif\" ";
	 echo "CLASS=\"menuicon\" WIDTH=\"16\" HEIGHT=\"16\"> Contact Us</A></LI>";
	 }
 
  echo "</UL></DIV><DIV CLASS=\"submenu\">\n"; 

  $Pos = 0;
  while (!is_null($MM[$Pos]))
    echo $MM[$Pos++];

  echo "</DIV>\n<!-- Tab Menu End -->\n";
  echo "<TABLE CLASS=\"datatable\" STYLE=\"margin-top: 6px\">\n";


$Key = fgetc($In);     
AddDateLn($In, "Name");      

$Key = fgetc($In);

while ($Key < 'o' || $Key == 'x')
  {
  switch ($Key)
    {
	 case 'D': AddDateLn($In, "Other Name");          break;
	 case 'E': AddDateLn($In, "Other Name");          break;
	 case 'F': AddDateLn($In, "Title or Suffix");     break;
	 case 'G': AddDateLn($In, "Birth");               break;
	 case 'H': AddDateLn($In, "Baptism");             break;
	 case 'I': AddDateLn($In, "Christening");         break;
	 case 'J': AddDateLn($In, "Baptism LDS");         break;
	 case 'K': AddDateLn($In, "Adoption");            break;
	 case 'L': AddDateLn($In, "Died");                break;
	 case 'M': AddDateLn($In, "Burial");              break;
	 case 'N': AddDateLn($In, "Cremation");           break;
	 case 'O': AddDateLn($In, "Education");           break;
	 case 'P': AddDateLn($In, "Graduation");          break;
	 case 'Q': AddDateLn($In, "National Orgin");      break;
	 case 'R': AddDateLn($In, "Emigration");          break;
	 case 'S': AddDateLn($In, "Immigration");         break;
	 case 'T': AddDateLn($In, "Naturalization");      break;
	 case 'U': AddDateLn($In, "Occupation");          break;
	 case 'V': AddDateLn($In, "Retirement");          break;
	 case 'W': AddDateLn($In, "Residence");           break;
	 case 'X': AddDateLn($In, "Property");            break;
	 case 'Y': AddDateLn($In, "Will");                break;
	 case 'Z': AddDateLn($In, "Religion Affilation"); break;
	 case 'a': AddDateLn($In, "Adult Christening");   break;
	 case 'b': AddDateLn($In, "First Communion");     break;
	 case 'c': AddDateLn($In, "Confirmaion");         break;
	 case 'd': AddDateLn($In, "Confirmation LSD");    break;
	 case 'e': AddDateLn($In, "Sealing of Child");    break;
	 case 'f': AddDateLn($In, "Bar Mitzvah");         break;
	 case 'g': AddDateLn($In, "Bas Mitzvah");         break;
	 case 'h': AddDateLn($In, "Endowment");           break;
	 case 'i': AddDateLn($In, "Ordination");          break;
	 case 'j': AddDateLn($In, "Ordination LDS");      break;
	 case 'k': AddDateLn($In, "Soc. Sec. Number");    break;
	 case 'l': AddDateLn($In, "Telephone");           break;
	 case 'm': AddDateLn($In, "E-Mail Address");      break;
	 case 'n': AddSource($In, "Source");              break;
	 }
  $Key = fgetc($In);
  }
?>
</TR>
</TABLE>

<?php
$fIdx = fopen("sys/famindex", "r");
$fIn  = fopen("sys/famdata",  "r");
$fKey = 'a';

if ($Key == 'x' || $Key == 'y')
  $Key = fgetc($In);

while ($Key == 'o' || $Key == 'p')
  {
  $Kind = fgetc($In);
  $FmNo = rtrim(fgets($In));
  fseek($fIdx, $FmNo*16, SEEK_SET);
  $Line = rtrim(fgets($fIdx));
  fseek($fIn, $Line, SEEK_SET);
  $fKey = fgetc($fIn);
  echo "<TABLE CLASS=\"datatable\" STYLE=\"margin-top: 6px\">\n";
  $Parents = 0; 

  while ($fKey < 'N' || $fKey == 'x')
    {
    if ($Key == 'x' || $Key == 'y')
      $Key = fgetc($In);

	 if ($fKey == 'A' || $fKey == 'B' || $fKey == 'K')
	   AddPerson($fIn, $Key, $fKey, $Kind);
	 else
	   switch ($fKey)
        {
        case 'C': AddDateLn($fIn, "Marriage");          break;
        case 'D': AddDateLn($fIn, "Marriage Contract"); break;
        case 'E': AddDateLn($fIn, "Marriage License");  break;
        case 'F': AddDateLn($fIn, "Engagement");        break;
        case 'G': AddDateLn($fIn, "Annulment");         break;
        case 'H': AddDateLn($fIn, "Divorce Filed");     break;
        case 'I': AddDateLn($fIn, "Divorced");          break;
        case 'J': AddDateLn($fIn, "Sealing of Spouse"); break;
        case 'L': AddSource($fIn, "Source");            break;
        case 'M': AddDateLn($fIn, "Note");              break;
        }

    $fKey = fgetc($fIn);
    }
	 
  echo "</TABLE>";
  $Key = fgetc($In);	 // echo $Key;
  $Key = fgetc($In);	 // echo $Key;
  }
?>

<?php
while ($Key == 'x' || $Key == 'y')
  $Key = fgetc($In);
  
if ($Key == 'q')
  {
  echo "<TABLE CLASS=\"datatable\" STYLE=\"margin-top: 6px\">\n";
  echo "<TR><TD CLASS=\"notelabel\">Notes</TD>\n<TD CLASS=\"datafield\">\n";
  DisplayNote($In, $Key, false);  
  echo "\n</TD></TR></TABLE>\n";
  }
?>

<?php  
$pIdx = fopen("sys/picindex", "r");
$pIn  = fopen("sys/picdata",  "r");

while ($Key == 'x' || $Key == 'y')
  $Key = fgetc($In);
  
if ($Key == 'r')
  {
  echo "<TABLE CLASS=\"datatable\" STYLE=\"margin-top: 6px\">\n";
  $Pos = 0;
  		
  while ($Key == 'r')
    {
	 $Pos++;
	 AddPicture($In, $pIn, $pIdx, $Pos, "Documents");
	 $Key = fgetc($In);
	 } 
  echo "</TABLE>";
  }
?>

<?php
while ($Key == 'x' || $Key == 'y')
  $Key = fgetc($In);
  
if ($Key == 's')
  {
  echo "<TABLE CLASS=\"datatable\" STYLE=\"margin-top: 6px\">\n";
  $Pos = 0;  
  		
  while ($Key == 's')
    {
	 $Pos++;
	 AddPicture($In, $pIn, $pIdx, $Pos, "Pictures");
	 $Key = fgetc($In);
	 } 
  echo "</TABLE>";
  }
?>


<?php
while ($Key == 'x' || $Key == 'y')
  $Key = fgetc($In);
  
if ($Key == 't')
  {
  echo "<TABLE CLASS=\"datatable\" STYLE=\"margin-top: 6px\">\n";
  $Pos = 0;
  		
  while ($Key == 't')
    {
	 $Pos++;
	 AddPicture($In, $pIn, $pIdx, $Pos, "Headstones");
	 $Key = fgetc($In);
	 } 
  echo "</TABLE>";
  }
  
 fclose($pIdx);
 fclose($pIn);  
 fclose($fIn);
 fclose($fIdx);
 fclose($In);
 
if ($SrcPos > -1)
  {
  $sIdx  = fopen("sys/srcindex", "r");
  $sIn   = fopen("sys/srcdata",  "r");
  $SQuay = array ("Unreliable",    "Questionable",     "Unverified Record", "Other Relative",
                  "Family Member", "Secondary Record", "Actual Person",     "Legal Records");
  
  echo "<TABLE CLASS=\"datatable\" STYLE=\"margin-top: 6px\">\n";
  
  for ($Pos = 0; $Pos <= $SrcPos; $Pos++)
    {
	 if ($Pos == 0)
      echo "<TR><TD ROWSPAN=".($SrcPos+1)." CLASS=\"notelabel\">Sources</TD>\n";
	 else
	   echo "<TR>";	
	 
	 echo "<TD CLASS=\"datafield\">";
    printf("<A NAME=\"cit%d\">[%d]</A> S%06d. \n", $Pos+1, $Pos+1, $SrcNo[$Pos]);	

    fseek($sIdx, $SrcNo[$Pos]*16, SEEK_SET); 
    $Line = rtrim(fgets($sIdx));
    fseek($sIn, $Line); 
    $Key = fgetc($sIn); 
    
	 if ($Key == 'T')
	   {
		echo rtrim(fgets($sIn))."<BR>\n";
      $Key = fgetc($sIn);  
		}	 
	   
    if ($Key == 'A')
	   {
		echo "Author: ".rtrim(fgets($sIn))."<BR>\n";
      $Key = fgetc($sIn);  
		}	 
	   
    if ($Key == 'P')
	   {
		echo "Publication: ".rtrim(fgets($sIn))."<BR>\n";
      $Key = fgetc($sIn);  
		}	 

    if ($Key == 'N')
	   {
		echo "Description: ";	
      DisplayNote($sIn, $Key, false);  
		$Key = fgetc($sIn);  
		}	 
		
    $M = NULL; 
    if ($Key == 'M')
	   {
		$M = "Media: ".rtrim(fgets($sIn))." &nbsp; ";
      $Key = fgetc($sIn);  
		}	 

    $Q = NULL;
    if ($Key == 'Q')
	   {
		$Q = rtrim(fgets($sIn));
      $Key = fgetc($sIn);  
		}	 

	 if (!is_null($SrcQuay[$Pos]))
		$Q = $SrcQuay[$Pos];
	 
    if (!is_null($SrcNote[$Pos]))
	   {
		echo "<BR>Details: ";
      DisplayNote($sIn, $Key, false);  
		}

   if (!is_null($SrcPage[$Pos]) || !is_null($Q) || !is_null($M))
      echo "<BR>";
	 
	 if (!is_null($M))
	   echo "Media: ".$M." &nbsp "; 
	 
	 if (!is_null($SrcPage[$Pos]))
	   echo "Page: ".$SrcPage[$Pos]." &nbsp "; 
	 
	 if (!is_null($Q))
	   echo "Quality: ".$SQuay[$Q];
	  
	 echo "</TD></TR>";
	 }
  
  echo "</TABLE>\n";

  fclose($sIdx);
  fclose($sIn);
  }
?>
<TABLE CLASS="datatable" BORDER="0" STYLE="margin-top: 6px">
<TR><TD COLSPAN="4" HEIGHT="20" CLASS="menu">
<A HREF="http://www.LaVistaLab.com/familytree/software.html"
CLASS="menu">This Web Site Created With: Visual Family Tree</A></TD></TR>
<TR>
<TD CLASS="copyrightText"><?php echo $F1?></TD>
<TD CLASS="copyrightText" COLSPAN="2"><?php echo $C1?></TD>
<TD CLASS="copyrightText"><?php echo $F2?></TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE>
</DIV>
</TD>
</TR>
</TABLE>
</BODY>
</HTML>
